/*
 * Logger.java
 *
 * Created on January 2, 2008, 6:56 PM
 *
 * Copyright: 2008, Dirkjan Krijnders <dirkjan@krijnders.net>
 * 
 * logger.java is part of GetWBT
 * 
 * GetWBT is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    GetWBT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GetWBT.  If not, see <http://www.gnu.org/licenses/>.


 */

package com.pythsoft;

/**
 *
 * @author Administrator
 */
public final class Logger {
    private static Logger instance = null;
    public int logLevel = 0; // Log nothing 

    private Logger() {
        
    }

    public static Logger getInstance() {
        if(instance == null) {
            instance = new Logger();
        }
        return instance;
    }
    
    public void message(int level, String msg) {
        if (level <= logLevel)
            System.out.println(msg);
    }
}
