/*
 * HelloMidlet.java
 *
 * Created on July 9, 2007, 8:22 AM
 */

package main;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.io.IOException;
import java.util.Date;
import com.pythsoft.WBTController;
import com.pythsoft.DataWriter;

/**
 *
 * @author Administrator
 */
public class GetWBT extends MIDlet implements CommandListener {
    
    /** Creates a new instance of HelloMidlet */
    public GetWBT() {
    }
    
    private Form helloForm;//GEN-BEGIN:MVDFields
    private StringItem helloStringItem;
    private Command exitCommand;
    private org.netbeans.microedition.lcdui.WaitScreen connectScreen;
    private org.netbeans.microedition.util.SimpleCancellableTask simpleCancellableTask1;
    private Command okCommand1;
    private Command okCommand2;
    private org.netbeans.microedition.lcdui.WaitScreen readData;
    private org.netbeans.microedition.util.SimpleCancellableTask simpleCancellableTask2;
    private Command cancelCommand1;
    private org.netbeans.microedition.lcdui.WaitScreen writeData;
    private Command okCommand3;
    private Command itemCommand1;
    private org.netbeans.microedition.lcdui.WaitScreen succesDecideScreen;//GEN-END:MVDFields
    private WBTController GPSController = null;
    private int mode = 0;  // 0:runStepByStep
                           // 1:runAndExit
    private int state = 0; // 0:notLoggedInState
                           // 1:LoggedIn
                           // 2:DataRead
                           // 3:DataWritten
    
//    private String lastMessage = "Support for WBT201";
//GEN-LINE:MVDMethods

    /** This method initializes UI of the application.//GEN-BEGIN:MVDInitBegin
     */
    private void initialize() {//GEN-END:MVDInitBegin
        // Insert pre-init code here
        getDisplay().setCurrent(get_helloForm());//GEN-LINE:MVDInitInit
        // Insert post-init code here
    }//GEN-LINE:MVDInitEnd
    
    /** Called by the system to indicate that a command has been invoked on a particular displayable.//GEN-BEGIN:MVDCABegin
     * @param command the Command that ws invoked
     * @param displayable the Displayable on which the command was invoked
     */
    public void commandAction(Command command, Displayable displayable) {//GEN-END:MVDCABegin
        // Insert global pre-action code here
        if (displayable == helloForm) {//GEN-BEGIN:MVDCABody
            if (command == exitCommand) {//GEN-END:MVDCABody
                // Insert pre-action code here
                GPSController.close();
                exitMIDlet();//GEN-LINE:MVDCAAction3
                // Insert post-action code here
            } else if (command == okCommand1) {//GEN-LINE:MVDCACase3
                // Insert pre-action code here
                getDisplay().setCurrent(get_connectScreen());//GEN-LINE:MVDCAAction16
                // Insert post-action code here
            } else if (command == okCommand2) {//GEN-LINE:MVDCACase16
                // Insert pre-action code here
                getDisplay().setCurrent(get_readData());//GEN-LINE:MVDCAAction18
                // Insert post-action code here
            } else if (command == okCommand3) {//GEN-LINE:MVDCACase18
                // Insert pre-action code here
                getDisplay().setCurrent(get_writeData());//GEN-LINE:MVDCAAction30
                // Insert post-action code here
            } else if (command == itemCommand1) {//GEN-LINE:MVDCACase30
                // Insert pre-action code here
                mode = 1;
                getDisplay().setCurrent(get_connectScreen());//GEN-LINE:MVDCAAction32
                // Insert post-action code here
            }//GEN-BEGIN:MVDCACase32
        } else if (displayable == connectScreen) {
            if (command == connectScreen.FAILURE_COMMAND) {//GEN-END:MVDCACase32
                // Insert pre-action code here
                getDisplay().setCurrent(get_helloForm());//GEN-LINE:MVDCAAction10
                // Insert post-action code here
            } else if (command == connectScreen.SUCCESS_COMMAND) {//GEN-LINE:MVDCACase10
                // Insert pre-action code here
                state = 1;
                getDisplay().setCurrent(get_succesDecideScreen());//GEN-LINE:MVDCAAction9
                // Insert post-action code here
            }//GEN-BEGIN:MVDCACase9
        } else if (displayable == readData) {
            if (command == readData.FAILURE_COMMAND) {//GEN-END:MVDCACase9
                // Insert pre-action code here
                getDisplay().setCurrent(get_helloForm());//GEN-LINE:MVDCAAction21
                // Insert post-action code here
            } else if (command == readData.SUCCESS_COMMAND) {//GEN-LINE:MVDCACase21
                // Insert pre-action code here
                state = 2;
                getDisplay().setCurrent(get_succesDecideScreen());//GEN-LINE:MVDCAAction20
                // Insert post-action code here
            } else if (command == cancelCommand1) {//GEN-LINE:MVDCACase20
                // Insert pre-action code here
                simpleCancellableTask2.cancel();
                getDisplay().setCurrent(get_helloForm());//GEN-LINE:MVDCAAction25
                // Insert post-action code here
            }//GEN-BEGIN:MVDCACase25
        } else if (displayable == writeData) {
            if (command == writeData.FAILURE_COMMAND) {//GEN-END:MVDCACase25
                // Insert pre-action code here
                getDisplay().setCurrent(get_helloForm());//GEN-LINE:MVDCAAction28
                // Insert post-action code here
            } else if (command == writeData.SUCCESS_COMMAND) {//GEN-LINE:MVDCACase28
                // Insert pre-action code here
                state = 3;
               
                getDisplay().setCurrent(get_succesDecideScreen());//GEN-LINE:MVDCAAction27
                // Insert post-action code here
            }//GEN-BEGIN:MVDCACase27
        } else if (displayable == succesDecideScreen) {
            if (command == succesDecideScreen.FAILURE_COMMAND) {//GEN-END:MVDCACase27
                // Insert pre-action code here
                // Do nothing//GEN-LINE:MVDCAAction35
                // Insert post-action code here
            } else if (command == succesDecideScreen.SUCCESS_COMMAND) {//GEN-LINE:MVDCACase35
                // Insert pre-action code here
                System.out.println("State in " + mode + " is " + state);
                if (mode == 1) {
                    switch(state) {
                       case 1:
                            getDisplay().setCurrent(get_readData());
                       case 2:
                            getDisplay().setCurrent(get_writeData());
                        default:
                            getDisplay().setCurrent(get_helloForm());
                    }
                } else {
                    getDisplay().setCurrent(get_helloForm());
                }
                // Do nothing//GEN-LINE:MVDCAAction34
                // Insert post-action code here
            }//GEN-BEGIN:MVDCACase34
        }//GEN-END:MVDCACase34
        // Insert global post-action code here
}//GEN-LINE:MVDCAEnd
    
    /**
     * This method should return an instance of the display.
     */
    public Display getDisplay() {//GEN-FIRST:MVDGetDisplay
        return Display.getDisplay(this);
    }//GEN-LAST:MVDGetDisplay
    
    /**
     * This method should exit the midlet.
     */
    public void exitMIDlet() {//GEN-FIRST:MVDExitMidlet
        getDisplay().setCurrent(null);
        destroyApp(true);
        notifyDestroyed();
    }//GEN-LAST:MVDExitMidlet
    
    /** This method returns instance for helloForm component and should be called instead of accessing helloForm field directly.//GEN-BEGIN:MVDGetBegin2
     * @return Instance for helloForm component
     */
    public Form get_helloForm() {
        if (helloForm == null) {//GEN-END:MVDGetBegin2
            // Insert pre-init code here
            helloForm = new Form(null, new Item[] {get_helloStringItem()});//GEN-BEGIN:MVDGetInit2
            helloForm.addCommand(get_itemCommand1());
            helloForm.addCommand(get_exitCommand());
            helloForm.addCommand(get_okCommand1());
            helloForm.addCommand(get_okCommand2());
            helloForm.addCommand(get_okCommand3());
            helloForm.setCommandListener(this);//GEN-END:MVDGetInit2
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd2
        return helloForm;
    }//GEN-END:MVDGetEnd2
    
    
    /** This method returns instance for exitCommand component and should be called instead of accessing exitCommand field directly.//GEN-BEGIN:MVDGetBegin5
     * @return Instance for exitCommand component
     */
    public Command get_exitCommand() {
        if (exitCommand == null) {//GEN-END:MVDGetBegin5
            // Insert pre-init code here
            exitCommand = new Command("Exit", Command.EXIT, 1);//GEN-LINE:MVDGetInit5
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd5
        return exitCommand;
    }//GEN-END:MVDGetEnd5
    /** This method returns instance for connectScreen component and should be called instead of accessing connectScreen field directly.//GEN-BEGIN:MVDGetBegin8
     * @return Instance for connectScreen component
     */
    public org.netbeans.microedition.lcdui.WaitScreen get_connectScreen() {
        if (connectScreen == null) {//GEN-END:MVDGetBegin8
            // Insert pre-init code here
            connectScreen = new org.netbeans.microedition.lcdui.WaitScreen(getDisplay());//GEN-BEGIN:MVDGetInit8
            connectScreen.setCommandListener(this);
            connectScreen.setText("Performing login");
            connectScreen.setTask(get_simpleCancellableTask1());//GEN-END:MVDGetInit8
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd8
        return connectScreen;
    }//GEN-END:MVDGetEnd8

    /** This method returns instance for simpleCancellableTask1 component and should be called instead of accessing simpleCancellableTask1 field directly.//GEN-BEGIN:MVDGetBegin14
     * @return Instance for simpleCancellableTask1 component
     */
    public org.netbeans.microedition.util.SimpleCancellableTask get_simpleCancellableTask1() {
        if (simpleCancellableTask1 == null) {//GEN-END:MVDGetBegin14
            // Insert pre-init code here
            simpleCancellableTask1 = new org.netbeans.microedition.util.SimpleCancellableTask();//GEN-BEGIN:MVDGetInit14
            simpleCancellableTask1.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {
                    GPSController = new WBTController();
                }
            });//GEN-END:MVDGetInit14
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd14
        return simpleCancellableTask1;
    }//GEN-END:MVDGetEnd14

    /** This method returns instance for okCommand1 component and should be called instead of accessing okCommand1 field directly.//GEN-BEGIN:MVDGetBegin15
     * @return Instance for okCommand1 component
     */
    public Command get_okCommand1() {
        if (okCommand1 == null) {//GEN-END:MVDGetBegin15
            // Insert pre-init code here
            okCommand1 = new Command("Connect", Command.OK, 1);//GEN-LINE:MVDGetInit15
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd15
        return okCommand1;
    }//GEN-END:MVDGetEnd15

    /** This method returns instance for okCommand2 component and should be called instead of accessing okCommand2 field directly.//GEN-BEGIN:MVDGetBegin17
     * @return Instance for okCommand2 component
     */
    public Command get_okCommand2() {
        if (okCommand2 == null) {//GEN-END:MVDGetBegin17
            // Insert pre-init code here
            okCommand2 = new Command("ReadData", Command.OK, 1);//GEN-LINE:MVDGetInit17
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd17
        return okCommand2;
    }//GEN-END:MVDGetEnd17

    /** This method returns instance for readData component and should be called instead of accessing readData field directly.//GEN-BEGIN:MVDGetBegin19
     * @return Instance for readData component
     */
    public org.netbeans.microedition.lcdui.WaitScreen get_readData() {
        if (readData == null) {//GEN-END:MVDGetBegin19
            // Insert pre-init code here
            readData = new org.netbeans.microedition.lcdui.WaitScreen(getDisplay());//GEN-BEGIN:MVDGetInit19
            readData.addCommand(get_cancelCommand1());
            readData.setCommandListener(this);
            readData.setText("Reading " + GPSController.getDataLength() + " bytes");
            readData.setTask(get_simpleCancellableTask2());//GEN-END:MVDGetInit19
            // Insert post-init code here
            state = 2; // Data read
        }//GEN-BEGIN:MVDGetEnd19
        return readData;
    }//GEN-END:MVDGetEnd19

    /** This method returns instance for simpleCancellableTask2 component and should be called instead of accessing simpleCancellableTask2 field directly.//GEN-BEGIN:MVDGetBegin22
     * @return Instance for simpleCancellableTask2 component
     */
    public org.netbeans.microedition.util.SimpleCancellableTask get_simpleCancellableTask2() {
        if (simpleCancellableTask2 == null) {//GEN-END:MVDGetBegin22
            // Insert pre-init code here
            simpleCancellableTask2 = new org.netbeans.microedition.util.SimpleCancellableTask();//GEN-BEGIN:MVDGetInit22
            simpleCancellableTask2.setExecutable(new org.netbeans.microedition.util.Executable() {
                public void execute() throws Exception {
                    GPSController.readAll();
                }
            });//GEN-END:MVDGetInit22
            // Insert post-init code here
            // lastMessage = "Read " + GPSController.getDataLength() + " bytes";
//            helloForm.append("Read " + GPSController.getDataLength() + " bytes");
        }//GEN-BEGIN:MVDGetEnd22
        return simpleCancellableTask2;
    }//GEN-END:MVDGetEnd22

    /** This method returns instance for helloStringItem component and should be called instead of accessing helloStringItem field directly.//GEN-BEGIN:MVDGetBegin4
     * @return Instance for helloStringItem component
     */
    public StringItem get_helloStringItem() {
        if (helloStringItem == null) {//GEN-END:MVDGetBegin4
            // Insert pre-init code here
            helloStringItem = new StringItem("GetWBT v0.2", "Support for WBT201");//GEN-LINE:MVDGetInit4
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd4
        return helloStringItem;
    }//GEN-END:MVDGetEnd4

    /** This method returns instance for cancelCommand1 component and should be called instead of accessing cancelCommand1 field directly.//GEN-BEGIN:MVDGetBegin24
     * @return Instance for cancelCommand1 component
     */
    public Command get_cancelCommand1() {
        if (cancelCommand1 == null) {//GEN-END:MVDGetBegin24
            // Insert pre-init code here
            cancelCommand1 = new Command("Cancel", Command.CANCEL, 1);//GEN-LINE:MVDGetInit24
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd24
        return cancelCommand1;
    }//GEN-END:MVDGetEnd24

    /** This method returns instance for writeData component and should be called instead of accessing writeData field directly.//GEN-BEGIN:MVDGetBegin26
     * @return Instance for writeData component
     */
    public org.netbeans.microedition.lcdui.WaitScreen get_writeData() {
        if (writeData == null) {//GEN-END:MVDGetBegin26
            // Insert pre-init code here
            writeData = new org.netbeans.microedition.lcdui.WaitScreen(getDisplay());//GEN-BEGIN:MVDGetInit26
            writeData.setCommandListener(this);//GEN-END:MVDGetInit26
            // Insert post-init code here
            DataWriter dw = new DataWriter();
//            String filename = "test.wbt";
            Date d = new Date();
            String filename = "track" + d.getTime() + ".wbt";
            try {
                dw.writeData(filename, GPSController);
            } catch(IOException e) {
            System.out.println("Writing failed..." + e.getMessage());
            }
            state = 3; // Data writen
            
        }//GEN-BEGIN:MVDGetEnd26
        return writeData;
    }//GEN-END:MVDGetEnd26

    /** This method returns instance for okCommand3 component and should be called instead of accessing okCommand3 field directly.//GEN-BEGIN:MVDGetBegin29
     * @return Instance for okCommand3 component
     */
    public Command get_okCommand3() {
        if (okCommand3 == null) {//GEN-END:MVDGetBegin29
            // Insert pre-init code here
            okCommand3 = new Command("writeData", Command.OK, 1);//GEN-LINE:MVDGetInit29
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd29
        return okCommand3;
    }//GEN-END:MVDGetEnd29

    /** This method returns instance for itemCommand1 component and should be called instead of accessing itemCommand1 field directly.//GEN-BEGIN:MVDGetBegin31
     * @return Instance for itemCommand1 component
     */
    public Command get_itemCommand1() {
        if (itemCommand1 == null) {//GEN-END:MVDGetBegin31
            // Insert pre-init code here
            itemCommand1 = new Command("runAndExit", Command.ITEM, 1);//GEN-LINE:MVDGetInit31
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd31
        return itemCommand1;
    }//GEN-END:MVDGetEnd31

    /** This method returns instance for succesDecideScreen component and should be called instead of accessing succesDecideScreen field directly.//GEN-BEGIN:MVDGetBegin33
     * @return Instance for succesDecideScreen component
     */
    public org.netbeans.microedition.lcdui.WaitScreen get_succesDecideScreen() {
        if (succesDecideScreen == null) {//GEN-END:MVDGetBegin33
            // Insert pre-init code here
            succesDecideScreen = new org.netbeans.microedition.lcdui.WaitScreen(getDisplay());//GEN-BEGIN:MVDGetInit33
            succesDecideScreen.setCommandListener(this);//GEN-END:MVDGetInit33
            // Insert post-init code here
        }//GEN-BEGIN:MVDGetEnd33
        return succesDecideScreen;
    }//GEN-END:MVDGetEnd33
    
    public void startApp() {
        initialize();
    }
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
    }
    
}
